Package org.springframework.util

# Class SimpleIdGenerator

java.lang.Object
org.springframework.util.SimpleIdGenerator

All Implemented Interfaces:
  `IdGenerator`

public class SimpleIdGenerator extends Object implements IdGenerator
A simple `IdGenerator` that starts at 1, increments up to `Long.MAX_VALUE`, and then rolls over.

Since:
  4.1.5
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`SimpleIdGenerator()`

## Method Summary

Modifier and Type
Method
Description
`UUID`
`generateId()`
Generate a new identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleIdGenerator

public SimpleIdGenerator()

## Method Details

### generateId

public UUID generateId()
Description copied from interface: `IdGenerator`
Generate a new identifier.

Specified by:
  `generateId` in interface `IdGenerator`
Returns:
  the generated identifier